| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Macros | Functions
gzread.c File Reference
`#include "gzguts.h"`

Go to the source code of this file.

## Macros
#define | NEXT()

## Functions
local int gz_load | OF ((gz_statep, unsigned char *, unsigned, unsigned *))
local int gz_avail | OF ((gz_statep))
local int gz_next4 | OF ((gz_statep, unsigned long *))
local int gz_skip | OF ((gz_statep, z_off64_t))
local int | gz_load (gz_statep state, unsigned char *buf, unsigned len, unsigned *have)
local int | gz_avail (gz_statep state)
local int | gz_next4 (gz_statep state, unsigned long *ret)
local int | gz_head (gz_statep state)
local int | gz_decomp (gz_statep state)
local int | gz_make (gz_statep state)
local int | gz_skip (gz_statep state, z_off64_t len)
int ZEXPORT | gzread (gzFile file, voidp buf, unsigned len)
int ZEXPORT | gzgetc (gzFile file)
int ZEXPORT | gzungetc (int c, gzFile file)
char *ZEXPORT | gzgets (gzFile file, char *buf, int len)
int ZEXPORT | gzdirect (gzFile file)
int ZEXPORT | gzclose_r (gzFile file)

## Macro Definition Documentation

#define NEXT | ( |  | ) |

Value:
((strm->avail_in == 0 && gz_avail(state) == -1) ? -1 : \
(strm->avail_in == 0 ? -1 : \
(strm->avail_in--, *(strm->next_in)++)))
gz_avail
local int gz_avail(gz_statep state)
Definition: gzread.c:50

Definition at line 67 of file gzread.c.

## Function Documentation

local int gz_avail | ( | gz_statep | state | ) |

Definition at line 50 of file gzread.c.

local int gz_decomp | ( | gz_statep | state | ) |

Definition at line 233 of file gzread.c.

local int gz_head | ( | gz_statep | state | ) |

Definition at line 104 of file gzread.c.

local int gz_load | ( | gz_statep | state,
|  | unsigned char * | buf,
|  | unsigned | len,
|  | unsigned * | have
| ) |  |

Definition at line 21 of file gzread.c.

local int gz_make | ( | gz_statep | state | ) |

Definition at line 304 of file gzread.c.

local int gz_next4 | ( | gz_statep | state,
|  | unsigned long * | ret
| ) |  |

Definition at line 73 of file gzread.c.

local int gz_skip | ( | gz_statep | state,
|  | z_off64_t | len
| ) |  |

Definition at line 330 of file gzread.c.

int ZEXPORT gzclose_r | ( | gzFile | file | ) |

Definition at line 627 of file gzread.c.

int ZEXPORT gzdirect | ( | gzFile | file | ) |

Definition at line 603 of file gzread.c.

int ZEXPORT gzgetc | ( | gzFile | file | ) |

Definition at line 453 of file gzread.c.

char* ZEXPORT gzgets | ( | gzFile | file,
|  | char * | buf,
|  | int | len
| ) |  |

Definition at line 539 of file gzread.c.

int ZEXPORT gzread | ( | gzFile | file,
|  | voidp | buf,
|  | unsigned | len
| ) |  |

Definition at line 362 of file gzread.c.

int ZEXPORT gzungetc | ( | int | c,
|  | gzFile | file
| ) |  |

Definition at line 482 of file gzread.c.

local int gz_load OF | ( | (gz_statep, unsigned char *, unsigned, unsigned *) |  | ) |

local int gz_avail OF | ( | (gz_statep) |  | ) |

local int gz_next4 OF | ( | (gz_statep, unsigned long *) |  | ) |

local int gz_skip OF | ( | (gz_statep, z_off64_t) |  | ) |